#include <stdio.h>
#include <stdlib.h>
#include <malloc.h>
#include <Xm/Xm.h>
#include <Xm/Text.h>
#include <Xm/Form.h>
#include "hsagan-creation-c.h"
 
#define MAXBUFF    300
#define ALL_INT  1000

void HsaInit();
void HsaGetHelpText();

void HsaInit(argc,argv)
int     argc;
char    **argv;
{
  int i;
  char *helpfile;

  if(argc>1) {
    for(i=1;i<argc;i++) {
      if(!strcmp(argv[i],"-f")) {
        if((helpfile=(char*)calloc((int)strlen(argv[++i]) + 1, sizeof(char)))==NULL) {
        }
        else {
          (void)strcpy(helpfile,argv[i]);

          /* open the text file and put in test widget
          */
          HsaGetHelpText(helpfile);
          free(helpfile);
          break;
        }
      }
      else {
      }
    }
  }
}

void HsaGetHelpText(file)
char *file;
{
  char    *buff, *helptext;
  int     len_allocated;
  FILE    *fptr;

  if((fptr=fopen(file,"r"))==NULL) {
    return;
  }

  buff=(char*)calloc(MAXBUFF,sizeof(char));
  helptext=(char*)calloc(len_allocated=ALL_INT,sizeof(char));
  helptext[0]='\0';
  while(fgets(buff,MAXBUFF,fptr)!=NULL) {
    if((int)strlen(buff)+(int)strlen(helptext)>=len_allocated) {
      helptext=(char*)realloc(helptext,(len_allocated+ALL_INT)*sizeof(char));
      len_allocated+=ALL_INT;
    }
    (void)strcat(helptext,buff);
  }
 /*XtVaSetValues(textHelp,XmNvalue,helptext,NULL); works in linux, but not pc*/
  XmTextSetString( textHelp, helptext );
  free(helptext);
  free(buff);
  fclose(fptr);
}
