/*
sagan_vars.h

This file contains general global variables and definitions
used by the sagan program.

*/

#include "sagan_defs.h"

void    SaManageMessage(), SaBadMemAlloc(),SaExit(),SaManageWarningBox(),
        SaUpdateOpen(),SaUpdateReport(),SaSetSign(),SaExit(),SaInitialize(),SaSetEquationValues(),
	SaGetEquationvalues(),SaOpenCoreInfo();
HashInfo        **SaReadCullTable();
int     SaReadMST95report(),SaReadTKreport(),SaReadOtherOdp(),SaGetSign(),SaInputData(),SaSmoothCore(),
	SaInputLog(),SaSmoothLog(),SaInputStrat(), SaReadAffineTable();
float	getfloat();

extern  Widget AppShell;
extern  XtAppContext    app;

extern	DataFile	  **data;
extern	Smooth		  smooth;
extern	Cull		  cull;
extern	Information	  info;
extern  OpenFileInfo      openfileinfo;
extern  EqLogDepthTable   eqlogdepth;
extern  AffineTable       affinetable;
extern  SplicerTableFile  splicertable;
extern  AutoCoreAdjust    autocoreadj;
extern  Splice            **splice;
extern  ELDEqt            eld;
extern  LogCoreDataPairs  **logcoredatapairs;

extern	ReportFile	report;
extern	XtAppContext		context;

extern	char	*charptr;
extern	char	*current_path;
extern  char    *preview_input_path;
extern	char	*defaults_filename;
extern  char    *open_data_directory;
extern  char    *ancillary_dirname;
extern  char    *eqlogdepth_filename;
extern  char    *eqlogdepth_dirname;
extern  char    *strat_dirname;
extern  char    *splice_filename;
extern  char    *splice_dirname;
extern  char    *save_coredata_filename;
extern  char    *save_coredata_dirname;
extern  char    *save_splice_filename;
extern  char    *save_splice_dirname;
extern  char    *outstrat_filename;
extern  char    *datapairs_filename;
extern  char    *datapairs_dirname;
extern	int	decimate_value;

extern	int	data_file_cnt;
extern	char	*defaults_filename;
extern	int	decimate_value;
extern	char	*type[];
extern	XtWorkProcId	work_id;
int	done_reading,done_cull,done_smooth,done_decimate;
extern	int	datafileopen;
extern  FILE    *Previewfd;

extern	char    color[NCOLOR][50];
extern  char    cust_color[NCOLOR][50];
extern  char    tempcolor[NCOLOR][50];

extern	LogData	   **logdata;
extern  LogInfo    loginfo;
extern  AncillData ancill;

extern	int	strat_file_cnt;
extern	StratFile	**strat;

extern  Ties    *ties;

extern  CorrelationTable corr;
extern  Corr_Rank        corr_rank;
